# Configuration

This set of playbooks can be configured through the following files:
- `inventory/group_vars/all.yml`
- `inventory/vars/main.yaml`
- `inventory/vars/unprovisioned.yml`

## Base user
If you did not install your machines using processes from the [ISO repository](https://git.halis.io/athens-school/iso-repository), you will need to adapt the user configuration in `inventory/vars/unprovisioned.yml` to your initial user.

## SSH Ports
It is recommended to change the default SSH port for security reasons. 
The ssh port can be configured in 2 steps:
1. Change the `ansible_ssh_port` variable in `inventory/group_vars/all.yml`
2. Change the `sshd_port` variable in `inventory/vars/unprovisioned.yml`

`sshd_port` is used to configure the SSH port on the target machine, while `ansible_ssh_port` is used to configure the SSH port Ansible will use to connect to each host when running the unprovisioned playbook.

## Wireguard port
The default port for Wireguard is 51820. If you need to change it, you can do so by changing the `wireguard_port` variable in `inventory/group_vars/all.yml`.

## K3s configuration
All of the k3s configuration is done through the `inventory/group_vars/all/yml` file.

You can update the `k3s_version` variable to install a specific version of k3s before running the playbooks.
Other k3s configuration flags can be found under the `extra_server_args` and `extra_agent_args` variables.
To learn more about the available flags, refer to the [k3s documentation](https://docs.k3s.io/cli/server).
